Application: gvSIG desktop - gvSIG bugs #4273
OSM layers are not loaded correctly if view CRS is not EPSG:3857
07/07/2016 03:41 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: OSM

Target version: 2.3.0-2440 (rev. org.gvsig.deskiop-2.0.14B)

Severity: Major Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2436 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

When the view CRS is not EPSG:3857 (e.g. EPSG:4326), OSM layers are not loaded correctly (i.e. reprojected on the fly).
Even if we zoom to layer extent, we'll see always the "Null Island".

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4279: Webmaps layers are... Closed 07/08/2016

Associated revisions

Revision 309 - 08/01/2016 08:20 AM - Francisco Diaz Carsi

refs #4273 Added warning at bottom of the OSM layer panel if the view projection isn't EPSG:3857

History

#1 - 07/08/2016 04:48 PM - Antonio Falciano
Related to #2526.
If the reprojection on the fly of OSM layers is not planned right now (gvSIG 2.3.0), they could be managed according the following pseudocode: if the

view CRS is EPSG:3857, then load the OSM layer, else (if the OSM layer is the first one of the view, then set the view CRS as EPSG:3857, else warn
the user that the OSM can't be reprojected on the fly at the moment and don't load it).

#2 - 07/25/2016 07:16 PM - Alvaro Anguix
- Related to gvSIG bugs #4279: Webmaps layers are not loaded correctly if view CRS is not EPSG:3857 added
#3 - 08/01/2016 08:23 AM - Francisco Diaz Carsi

- Status changed from New to Fixed

Se ha anadido un mensaje de advertencia en el panel de carga de OSM indicando que la proyeccion de la vista no es adecuada para cargar capas de
este servicio en caso de que ésta no se EPSG:3857

#4 - 08/03/2016 09:28 AM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2440 (rev. org.gvsig.desktop-2.0.146)

05/17/2024 1/2




#5 - 08/04/2016 07:13 PM - Antonio Falciano
- Status changed from Fixed to Closed
